QEMU Virtual Function 缓冲区溢出漏洞

来源: 投稿
2024-02-20 18:25:00

漏洞描述

QEMU 是开源的通用模拟器。在QEMU中,NumVFs指可以分配给虚拟机使用的虚拟化资源的数量,TotalVFs指硬件设备支持的最大虚拟功能数量。

QEMU 7.1.0至8.2.1版本中,hw/pci/pcie_sriov.c 文件中的register_vfs函数对客户机(虚拟机)写入的NumVFs大于TotalVFs的情况处理不当,导致在Virtual Function实现中发生缓冲区溢出,对虚拟机具有访问权限的攻击者可利用该漏洞执行任意代码或造成拒绝服务。

漏洞名称 QEMU Virtual Function 缓冲区溢出漏洞
漏洞类型 越界写入
发现时间 2024-02-19
漏洞影响广度 一般
MPS编号 MPS-hoib-8kje
CVE编号 CVE-2024-26327
CNVD编号 -

影响范围

qemu@[7.1.0, 8.2.1]

修复方案

官方已发布补丁:https://lore.kernel.org/all/20240214-reuse-v4-5-89ad093a07f4@daynix.com/

参考链接

https://www.oscs1024.com/hd/MPS-hoib-8kje

https://nvd.nist.gov/vuln/detail/CVE-2024-26327

https://lore.kernel.org/all/20240214-reuse-v4-5-89ad093a07f4%40daynix.com

    

免费情报订阅&代码安全检测

OSCS是国内首个开源软件供应链安全社区,社区联合开发者帮助全球顶级开源项目解决安全问题,并提供实时的安全漏洞情报,同时提供专业的代码安全检测工具为开发者免费使用。社区开发者可以通过配置飞书、钉钉、企业微信机器人获取一手的情报。

免费代码安全检测工具: https://www.murphysec.com/?src=osc

免费情报订阅: https://www.oscs1024.com/cm/?src=osc

具体订阅方式详见: https://www.oscs1024.com/docs/vuln-warning/intro/?src=osc

展开阅读全文
点击引领话题📣 发布并加入讨论🔥
0 评论
0 收藏
分享
返回顶部
顶部